Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Public Attributes | Properties | List of all members
InputSlotBase Class Reference

入力スロット More...

Inheritance diagram for InputSlotBase:

## Public Member Functions
void | SetInputBranch (DataBranch branch)
| DataBranchの設定。 More...
void | RemoveInputBranch (DataBranch branch)
| DataBranchの削除。 More...
DataBranch | GetInputBranch ()
| DataBranchの取得。 More...
bool | IsConnectedInput (DataBranch branch)
| DataBranchと接続しているか判定する。 More...
override void | Disconnect ()
| 接続を切断する。 More...

## Public Attributes
int | branchID
| ブランチのID More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| スロットが属しているステートマシン More...
Rect | position
| スロットのArborEditor上の位置(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| スロットの種類 More...
DataBranch | branch`[get]`
| ブランチを取得する。 More...
bool | isUsed`[get]`
| 値が使われているかどうかを取得する。 More...
float | updatedTime`[get]`
| valueを更新した timeScale に依存しない時間。 More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| スロットの種類 More...
abstract System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...

## Additional Inherited Members
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| 接続が変更されたときのコールバックイベント More...

## Detailed Description

入力スロット

## Member Function Documentation

## ◆ Disconnect()

override void Disconnect | ( |  | ) |
| virtual

接続を切断する。

Implements DataSlot.

## ◆ GetInputBranch()

DataBranch GetInputBranch | ( |  | ) |

DataBranchの取得。

Returns
  DataBranch

Implements IInputSlot.

## ◆ IsConnectedInput()

bool IsConnectedInput | ( | DataBranch | branch | ) |

DataBranchと接続しているか判定する。

Parameters

  branch | DataBranch

Returns
  接続している場合にtrue、それ以外はfalse。

Implements IInputSlot.

## ◆ RemoveInputBranch()

void RemoveInputBranch | ( | DataBranch | branch | ) |

DataBranchの削除。

Parameters

  branch | DataBranch

Implements IInputSlot.

## ◆ SetInputBranch()

void SetInputBranch | ( | DataBranch | branch | ) |

DataBranchの設定。

Parameters

  branch | DataBranch

Implements IInputSlot.

## Member Data Documentation

## ◆ branchID

int branchID

ブランチのID

## Property Documentation

## ◆ branch

DataBranch branch
| get

ブランチを取得する。

## ◆ isUsed

bool isUsed
| get

値が使われているかどうかを取得する。

## ◆ slotType

override SlotType slotType
| get

スロットの種類

## ◆ updatedTime

float updatedTime
| get

valueを更新した timeScale に依存しない時間。